LINUX.ORG.RU

Нафига сейчас в Убунте два варианта иксовых пакетов?

 ,


0

1

Ткните в рассылку или объясните на словах, зачем в репозиториях сейчас по 2 варианта каждого иксового пакета? Например:

Пакет xserver-xorg-input-synaptics:                                       
p   1.5.99.902-0ubuntu5                                                     precise                                               
iB  1.6.2-1ubuntu1~precise2                                                 precise-updates                                       

Пакет xserver-xorg-input-synaptics-lts-quantal:
pB   1.6.2-1ubuntu5~precise1                                                 precise-updates                                      

Причем по умолчанию в 12.04.2 ставятся те пакеты, которые -lts-quantal. Понадобилось тут поставить пакет, и меня постигло сильное удивление, когда aptitude насыпал мне кучу конфликтов и предложил снести все иксы к чертям.

Вопрос не технический, а скорее философский, так что возможно стоит перенести в толксы.

Ну короче есть «бэкпортированое» ядро, меса и иксы из quantal.
Если у тебя lts стоит давно, то тебе остаются старые иксы, ядро, 3.2.0-40(сейчас вроде), если же ты ставил из образа 12.04.2 с сайта, то у тебя будет ставится из новью quantal(но в названиях пакетов есть lts). В зависимости от конфигурации aptitude, apt, synaptic etc, может возникнуть ситуация что на старую установку будут тянуть более новые версии, которые тоже теперь считаются стабильными. Вообще это профит, ну что можно окружение, особенно месу обновить. Но опять же если не думать головой, и в некоторых непредвиденных обстоятельствах, это может создать некоторые неудобства, ну и путаницу.

anonymous_sama ★★★★★ ()

Для тех, кто использует свежий образ и для тех, кто обновляется со старого.

Dispetcher14 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.